Name:		diskscan
Version:	0.13
Release:	5.1
Url:		http://blog.disksurvey.org/blog/2013/09/20/disk-surface-scan-on-linux-and-unix/
Summary:	Disk Surface Scan
Group:		Hardware/Other
License:	GPLv3
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	python
BuildRequires:	python-markdown
BuildRequires:	python-beautifulsoup
BuildRequires:	ctags
BuildRequires:	sed

%description
DiskScan is a Unix/Linux tool to scan a block device and check if there are
unreadable sectors, in addition it uses read latency times as an assessment for
a near failure as sectors that are problematic to read usually entail many
retries. This can be used to assess the state of the disk and maybe decide on a
replacement in advance to its imminent failure. The disk self test may or may
not pick up on such clues depending on the disk vendor decision making logic.

%prep
%setup -n %{name}-%{version}

%build
%__make
sed -ir 's@char \*TAG=.*@char \*TAG="%{version}";@' version/version.c
%__make

%install
# make dirs
%__install -d %{buildroot}%{_mandir}/man1 %{buildroot}%{_bindir}

# manpages
%__install -m 0644 Documentation/*.1 %{buildroot}%{_mandir}/man1

# binaries
%__install -m 0755 diskscan %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.md
%{_bindir}/diskscan
%{_mandir}/man1/diskscan.1*

%changelog
* Sun Oct 27 2013 cs@linux-administrator.com
- update to release 0.13
* Thu Oct  3 2013 cs@linux-administrator.com
- update to release 0.11
* Sun Sep 29 2013 cs@linux-administrator.com
- initial package build
